# TMCTextStyle Class Reference

Inheritance diagram for TMCTextStyle:

List of all members.

## Public Member Functions
| TMCTextStyle ()
| TMCTextStyle (const TMCString &fontName, uint16 size, uint16 face)
void | GetFontName (TMCString &fontName) const
uint16 | GetLogicalSize (void) const
uint16 | GetFace (void) const
ETextStyle | GetUIStyle (void) const
void | SetUIStyle (ETextStyle inStyle)
void | SetFontName (const TMCString &fontName)
void | SetLogicalSize (uint16 size)
void | SetFace (uint16 face)
void | GetFromResource (uint16 rsrcID)
boolean | IsDefault (void) const
boolean | IsDefaultFace (void) const
boolean | HasValidTextStyle () const
void | SetValid (boolean inValid)
TMCTextStyle & | operator= (const TMCTextStyle &inRhs)
boolean | operator== (const TMCTextStyle &inRhs) const
boolean | operator!= (const TMCTextStyle &inRhs) const
## Protected Member Functions
void | CalculatePixelSize ()
## Protected Attributes
ETextStyle | fUIStyle
boolean | fValid
| true if the style is valid
uint16 | fFace
| kMCFontPlain, kMCFontBold...
uint16 | fLogicalSize
| The one in the resource.
uint16 | fPixelSize
| The "real" one. 0 means not calculated yet.
TMCString63 | fFontName
| The name of the font to use.
## Friends
TMCiostream & | operator<< (TMCiostream &outStream, const TMCTextStyle &writeOut)
TMCiostream & | operator>> (TMCiostream &inStream, TMCTextStyle &readIn)

## Detailed Description

Stores the infos about the style used to display some text. When fUIStyle is not kUseTextStyle, the style is one of the predefined styles. Otherwise, the other fields (fFace, fLogicalSize, fFontName) will be used.

## Constructor & Destructor Documentation

TMCTextStyle::TMCTextStyle | ( |  | ) |

TMCTextStyle::TMCTextStyle | ( | const TMCString & | fontName,
|  | uint16 | size,
|  | uint16 | face |
| ) |  |  |

## Member Function Documentation

void TMCTextStyle::CalculatePixelSize | ( |  | ) | `[protected]`

uint16 TMCTextStyle::GetFace | ( | void |  | ) | const

void TMCTextStyle::GetFontName | ( | TMCString & | fontName | ) | const

void TMCTextStyle::GetFromResource | ( | uint16 | rsrcID | ) |

uint16 TMCTextStyle::GetLogicalSize | ( | void |  | ) | const

ETextStyle TMCTextStyle::GetUIStyle | ( | void |  | ) | const

boolean TMCTextStyle::HasValidTextStyle | ( |  | ) | const

boolean TMCTextStyle::IsDefault | ( | void |  | ) | const

boolean TMCTextStyle::IsDefaultFace | ( | void |  | ) | const

boolean TMCTextStyle::operator!= | ( | const TMCTextStyle & | inRhs | ) | const`[inline]`

TMCTextStyle& TMCTextStyle::operator= | ( | const TMCTextStyle & | inRhs | ) |

boolean TMCTextStyle::operator== | ( | const TMCTextStyle & | inRhs | ) | const

void TMCTextStyle::SetFace | ( | uint16 | face | ) |

void TMCTextStyle::SetFontName | ( | const TMCString & | fontName | ) |

void TMCTextStyle::SetLogicalSize | ( | uint16 | size | ) |

void TMCTextStyle::SetUIStyle | ( | ETextStyle | inStyle | ) |

void TMCTextStyle::SetValid | ( | boolean | inValid | ) |

## Friends And Related Function Documentation

TMCiostream& operator<< | ( | TMCiostream & | outStream,
|  | const TMCTextStyle & | writeOut |
| ) |  |  | `[friend]`

TMCiostream& operator>> | ( | TMCiostream & | inStream,
|  | TMCTextStyle & | readIn |
| ) |  |  | `[friend]`

## Member Data Documentation

uint16 TMCTextStyle::fFace`[protected]`

kMCFontPlain, kMCFontBold...

TMCString63 TMCTextStyle::fFontName`[protected]`

The name of the font to use.

uint16 TMCTextStyle::fLogicalSize`[protected]`

The one in the resource.

uint16 TMCTextStyle::fPixelSize`[protected]`

The "real" one. 0 means not calculated yet.

ETextStyle TMCTextStyle::fUIStyle`[protected]`

boolean TMCTextStyle::fValid`[protected]`

true if the style is valid

The documentation for this class was generated from the following file:

- MCTextStyle.h